Agent Telephony
Get an agent telephony binding
Retrieves a telephony binding owned by the voice agent named in the path.
Header parameters
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
agent_name
string
required
The name of the voice agent that owns the binding.
binding_id
string
required
The service-generated binding identifier.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Headers
ETag
string
required
The entity tag to send in the If-Match header when updating or deleting the binding.
Body
teams_phone_extension
TeamsPhoneExtensionTelephonyBinding
A Microsoft Teams Phone Extension binding owned by a voice agent.
provider
enum
required
The Microsoft Teams Phone Extension provider.
phone_number
string
The optional display phone number for the Teams resource account.
resource_account_object_id
string
required
Universally Unique Identifier
twilio
TwilioTelephonyBinding
A Twilio binding owned by a voice agent.
provider
enum
required
The Twilio provider.
phone_number
string
required
The Twilio E.164 phone number.
Request
GET /agents/{agent_name}/telephony/bindings/{binding_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json